| libimobiledevice 1.3.0-dirty API Documentation - Return to Homepage

- About
- Structs
- Files
- Related Pages

- File List
- Globals

Macros | Typedefs | Enumerations | Functions
mobilebackup.h File Reference

## Description

Backup and restore of all device data.

## Macros
#define | MOBILEBACKUP_SERVICE_NAME "com.apple.mobilebackup"
| Service identifier passed to lockdownd_start_service() to start the mobilebackup service.

## Typedefs
typedef mobilebackup_client_private * | mobilebackup_client_t
| The client handle.

## Enumerations
enum | mobilebackup_error_t { MOBILEBACKUP_E_SUCCESS = 0 , MOBILEBACKUP_E_INVALID_ARG = -1 , MOBILEBACKUP_E_PLIST_ERROR = -2 , MOBILEBACKUP_E_MUX_ERROR = -3 , MOBILEBACKUP_E_SSL_ERROR = -4 , MOBILEBACKUP_E_RECEIVE_TIMEOUT = -5 , MOBILEBACKUP_E_BAD_VERSION = -6 , MOBILEBACKUP_E_REPLY_NOT_OK = -7 , MOBILEBACKUP_E_UNKNOWN_ERROR = -256 }
| Error Codes.
enum | mobilebackup_flags_t { MB_RESTORE_NOTIFY_SPRINGBOARD = 1 << 0 , MB_RESTORE_PRESERVE_SETTINGS = 1 << 1 , MB_RESTORE_PRESERVE_CAMERA_ROLL = 1 << 2 }
| Available flags passed to mobilebackup_request_restore.

## Functions
mobilebackup_error_t | mobilebackup_client_new (idevice_t device, lockdownd_service_descriptor_t service, mobilebackup_client_t *client)
| Connects to the mobilebackup service on the specified device.
mobilebackup_error_t | mobilebackup_client_start_service (idevice_t device, mobilebackup_client_t *client, const char *label)
| Starts a new mobilebackup service on the specified device and connects to it.
mobilebackup_error_t | mobilebackup_client_free (mobilebackup_client_t client)
| Disconnects a mobilebackup client from the device and frees up the mobilebackup client data.
mobilebackup_error_t | mobilebackup_receive (mobilebackup_client_t client, plist_t *plist)
| Polls the device for mobilebackup data.
mobilebackup_error_t | mobilebackup_send (mobilebackup_client_t client, plist_t plist)
| Sends mobilebackup data to the device.
mobilebackup_error_t | mobilebackup_request_backup (mobilebackup_client_t client, plist_t backup_manifest, const char *base_path, const char *proto_version)
| Request a backup from the connected device.
mobilebackup_error_t | mobilebackup_send_backup_file_received (mobilebackup_client_t client)
| Sends a confirmation to the device that a backup file has been received.
mobilebackup_error_t | mobilebackup_request_restore (mobilebackup_client_t client, plist_t backup_manifest, mobilebackup_flags_t flags, const char *proto_version)
| Request that a backup should be restored to the connected device.
mobilebackup_error_t | mobilebackup_receive_restore_file_received (mobilebackup_client_t client, plist_t *result)
| Receive a confirmation from the device that it successfully received a restore file.
mobilebackup_error_t | mobilebackup_receive_restore_application_received (mobilebackup_client_t client, plist_t *result)
| Receive a confirmation from the device that it successfully received application data file.
mobilebackup_error_t | mobilebackup_send_restore_complete (mobilebackup_client_t client)
| Tells the device that the restore process is complete and waits for the device to close the connection.
mobilebackup_error_t | mobilebackup_send_error (mobilebackup_client_t client, const char *reason)
| Sends a backup error message to the device.